Index: neon/Portfile
===================================================================
--- neon/Portfile	(revision 80437)
+++ neon/Portfile	(working copy)
@@ -24,9 +24,14 @@
 		port:openssl \
 		port:zlib
 
+<<<<<<< .mine
+checksums           sha1    ae1109923303f67ed3421157927bc4bc29c58961 \
+                    rmd160  f2cd96ed659675812a97b99d1b54e3d8eb66e4ed
+=======
 checksums	md5	591e0c82e6979e7e615211b386b8f6bc \
 		sha1	ae1109923303f67ed3421157927bc4bc29c58961 \
 		rmd160	f2cd96ed659675812a97b99d1b54e3d8eb66e4ed
+>>>>>>> .r80437
 
 use_parallel_build	yes
 
Index: drupal6/Portfile
===================================================================
--- drupal6/Portfile	(revision 80437)
+++ drupal6/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem          1.0
 
 name                drupal6
-version             6.15
+version             6.22
 categories          www php
 platforms           darwin
 maintainers         acm.org:c_dantonio
@@ -13,26 +13,30 @@
                     to easily publish, manage and organize a wide variety of content on a website. Tens of thousands of \
                     people and organizations have used Drupal to power scores of different web sites, including community \
                     web portals, corporate web sites, social networking sites, personal web sites or blogs, and much more.
-                    
+
 homepage            http://drupal.org/
 distname            drupal-${version}
 master_sites        http://ftp.drupal.org/files/projects/ \
                     http://ftp.osuosl.org/pub/drupal/files/projects/
-checksums           md5     43c60bde08d6ea67682a998c2804c357 \
-                    sha1    5be5ebf85c9ffa33e71c5a0f05d1308d3af19ab8 \
-                    rmd160  146709dd487fa6a0d1cb39d1a79c7f7519f73643
+
+checksums           md5     447490f3bc155fd1d5c2d47280c999a5 \
+                    sha1    a67acdb606aabbd9da6ddd2c016d43bb9ec17431 \
+                    rmd160  42cb64a32ca457779e498ef8edb952e04f8b2c86
+
 depends_lib         port:apache2 \
-                    port:php52 \
+                    port:php5 \
                     path:bin/mysql_config5:mysql5
+                    port:php5-gd \
+                    port:php5-mbstring
 
-variant apache1 description "use apache 1.x instead of apache 2.x" {
+ariant apache1 description "use apache 1.x instead of apache 2.x" {
   depends_lib-append      port:apache
   depends_lib-delete      port:apache2
 }
 
 variant php4 description "use php4 instead of php5" {
   depends_lib-append      port:php4
-  depends_lib-delete      port:php52
+  depends_lib-delete      port:php5
 }
 
 variant mysql4 conflicts postgresql postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 description "use mysql4 instead of mysql5" {
Index: drupal7/Portfile
===================================================================
--- drupal7/Portfile	(revision 80437)
+++ drupal7/Portfile	(working copy)
@@ -1,7 +1,7 @@
 # $Id$
 PortSystem          1.0
 name                drupal7
-version             7.0
+version             7.4
 categories          www php
 platforms           darwin
 
@@ -13,17 +13,21 @@
     people and organizations have used Drupal to power scores of different web \
     sites, including community web portals, corporate web sites, social \
     networking sites, personal web sites or blogs, and much more.
-                    
+
 homepage            http://drupal.org
 distname            drupal-${version}
 master_sites        http://ftp.drupal.org/files/projects/ \
                     http://ftp.osuosl.org/pub/drupal/files/projects/
-checksums           md5     e96c0a5e47c5d7706897384069dfb920 \
-                    sha1    124911c7de07b5acd1f801c4a7093440a0e0e3d3 \
-                    rmd160  fd27d5f4b826fb818d6b35754b2ea6b548445369
+
+checksums           md5     84704de078e9f5432c9bb5c6ecd841d4 \
+                    sha1    5baafc27b3473dae1056e6053734fab42a1bfc25 \
+                    rmd160  bfb44319df159fd7597b1a043abffb0f27e37a2f
+
 depends_lib         port:apache2 \
-                    port:php52 \
+                    port:php5 \
                     path:bin/mysql_config5:mysql5
+                    port:php5-gd \
+                    port:php5-mbstring
 
 variant apache1 description "use apache 1.x instead of apache 2.x" {
   depends_lib-append      port:apache
Index: moodle/Portfile
===================================================================
--- moodle/Portfile	(revision 80437)
+++ moodle/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem              1.0
 
 name                    moodle
-version                 1.9.9
+version                 2.1
 revision                1
 set branch              [join [lrange [split ${version} .] 0 1] {}]
 categories              www
Index: mod_cband/Portfile
===================================================================
--- mod_cband/Portfile	(revision 80437)
+++ mod_cband/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name			mod_cband
-version			0.9.5.3
+version			0.9.7.5
 categories		www
 platforms		darwin
 maintainers		nomaintainer
@@ -14,12 +14,11 @@
 		redirect all further requests to a location specified in the \
 		configuration file.
 
-homepage		http://cband.linux.pl/
-master_sites	http://dembol.nasa.pl/download/
+homepage        http://codee.pl/cband.html
+master_sites    http://cband.linux.pl/download/
 distname		mod-cband-${version}
 extract.suffix	.tgz
-checksums		md5 85f1bbcacae4e0360612cdec8f5005ed
-
+checksums           md5     5c5d65dc9abe6cdc6931b6dd33be5018
 depends_lib		port:apache2
 
 configure.args	--with-apxs=${prefix}/apache2/bin/apxs
Index: wordpress/Portfile
===================================================================
--- wordpress/Portfile	(revision 80437)
+++ wordpress/Portfile	(working copy)
@@ -7,7 +7,11 @@
 version                 3.2
 categories              www
 platforms               darwin freebsd
+<<<<<<< .mine
+maintainers		freebsd.org:miwi            
+=======
 maintainers             freebsd.org:miwi
+>>>>>>> .r80397
 supported_archs         noarch
 worksrcdir              ${name}
 
@@ -19,13 +23,25 @@
 homepage                http://wordpress.org/
 master_sites            ${homepage}
 
+<<<<<<< .mine
+checksums		md5     55fa6c8a79771ed258b6671a12be594e \
+			sha1    ee2e7e0415e41d1ae0f82a1c1e5583a6ed257802 \
+			rmd160  517aa89ed46f011607ca056b8a54747bf53af5e2
+=======
 checksums               sha1    ee2e7e0415e41d1ae0f82a1c1e5583a6ed257802 \
                         rmd160  517aa89ed46f011607ca056b8a54747bf53af5e2
+>>>>>>> .r80397
 
 depends_lib             port:php5-web \
+<<<<<<< .mine
                         port:php5-mysql \
+			port:php5-zip \
+			port:php5-gd
+=======
+                        port:php5-mysql \
                         port:php5-zip \
                         port:php5-gd
+>>>>>>> .r80397
 
 livecheck.type          regex
 livecheck.url           ${homepage}
Index: moin/Portfile
===================================================================
--- moin/Portfile	(revision 80437)
+++ moin/Portfile	(working copy)
@@ -1,10 +1,10 @@
 # $Id$
 
 PortSystem 1.0
-PortGroup python25 1.0
+PortGroup python26 1.0
 
 name                moin
-version             1.8.2
+version             1.9.3
 categories          www python
 platforms           darwin
 maintainers         nomaintainer
@@ -18,7 +18,7 @@
 
 homepage            http://moinmo.in/
 master_sites        http://static.moinmo.in/files/
-checksums           md5 b3ced56bbe09311a7c56049423214cdb
+checksums           md5 b22c15446e9fabda180fc88b21635184
 
 post-destroot {
     set docdir ${prefix}/share/doc/${name}
Index: mod_proxy_html/Portfile
===================================================================
--- mod_proxy_html/Portfile	(revision 80437)
+++ mod_proxy_html/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem          1.0
 
 name                mod_proxy_html
-version             3.0.1
+version             3.1.2
 categories          www
 maintainers         nomaintainer
 description         apache output filter to rewrite HTML
Index: mod_chroot/Portfile
===================================================================
--- mod_chroot/Portfile	(revision 80437)
+++ mod_chroot/Portfile	(working copy)
@@ -2,37 +2,37 @@
 
 PortSystem 1.0
 
-name			mod_chroot
-version			0.5
-categories		www security
-platforms		darwin
-maintainers		freebsd.org:miwi
-description		module for running apache2 in a secure chroot environment
-long_description	mod_chroot makes running apache2 in a secure chroot \
-				environment easy. You don't need to create a special \
-				directory hierarchy containing /dev, /lib, /etc...
+name               mod_chroot
+version            0.5
+categories         www security
+platforms          darwin
+maintainers        freebsd.org:miwi
+description        module for running apache2 in a secure chroot environment
+long_description   mod_chroot makes running apache2 in a secure chroot \
+                   environment easy. You don't need to create a special \
+                   directory hierarchy containing /dev, /lib, /etc...
 
-homepage		http://core.segfault.pl/~hobbit/mod_chroot
-master_sites	${homepage}/dist/ \
-				freebsd
+homepage           http://core.segfault.pl/~hobbit/mod_chroot
+master_sites        {homepage}/dist/ \
+                   freebsd
 
-checksums		sha1    42935c37fb163ff519651ddd0b0fd6982a978015 \
-				rmd160  baba1cac0f05953dac5ab7f483bbc49417eaf8ff
+checksums          sha1    42935c37fb163ff519651ddd0b0fd6982a978015 \
+                   rmd160  baba1cac0f05953dac5ab7f483bbc49417eaf8ff
 
-depends_lib		path:apache2/bin/apxs:apache2
+depends_lib        path:apache2/bin/apxs:apache2
 
-use_configure	no
+use_configure      no
 
-build.cmd		${prefix}/apache2/bin/apxs
-build.args		-c mod_chroot.c
+build.cmd          ${prefix}/apache2/bin/apxs
+build.args         -c mod_chroot.c
 build.target
 
 destroot {
-	set mdir ${destroot}${prefix}/apache2/modules/
-	xinstall -d -m 755 ${destroot}${prefix}/share/doc/${name} ${mdir}
-	xinstall -m 644 ${worksrcpath}/.libs/mod_chroot.so ${mdir}
-	xinstall -m 644 -W ${worksrcpath} CAVEATS ChangeLog INSTALL LICENSE \
-		README README.Apache20 ${destroot}${prefix}/share/doc/${name}
+         set mdir ${destroot}${prefix}/apache2/modules/
+         xinstall -d -m 755 ${destroot}${prefix}/share/doc/${name} ${mdir}
+         xinstall -m 644 ${worksrcpath}/.libs/mod_chroot.so ${mdir}
+         xinstall -m 644 -W ${worksrcpath} CAVEATS ChangeLog INSTALL LICENSE \
+         README README.Apache20 ${destroot}${prefix}/share/doc/${name}
 }
 
 destroot.violate_mtree yes