Index: gnustep/Etoile/Portfile
===================================================================
--- gnustep/Etoile/Portfile	(revision 80648)
+++ gnustep/Etoile/Portfile	(working copy)
@@ -21,7 +21,7 @@
 svn.url         http://svn.gna.org/svn/etoile/stable/Etoile
 
 depends_lib         port:SQLClient \
-                    port:dbus \
+                    path:bin/dbus-daemon:dbus \
                     port:oniguruma5 \
                     port:poppler
 
Index: gnustep/Etoile-devel/Portfile
===================================================================
--- gnustep/Etoile-devel/Portfile	(revision 80648)
+++ gnustep/Etoile-devel/Portfile	(working copy)
@@ -27,7 +27,7 @@
 ########################################################################
 
 depends_lib         port:SQLClient \
-                    port:dbus \
+                    path:bin/dbus-daemon:dbus \
                     port:oniguruma5 \
                     port:poppler
 
Index: xfce/xfconf/Portfile
===================================================================
--- xfce/xfconf/Portfile	(revision 80648)
+++ xfce/xfconf/Portfile	(working copy)
@@ -17,7 +17,7 @@
 		rmd160 beaa96507c97fd1cbf0884ce1332c7c0da5684ac
 
 depends_lib	port:libxfce4util \
-		port:dbus port:dbus-glib \
+		path:bin/dbus-daemon:dbus port:dbus-glib \
 		port:xorg-libsm port:xorg-libX11 \
 		port:gtk2
 
Index: xfce/Terminal/Portfile
===================================================================
--- xfce/Terminal/Portfile	(revision 80648)
+++ xfce/Terminal/Portfile	(working copy)
@@ -19,7 +19,7 @@
 		sha1 8c23799922700b1f74dc7b7e029eec192d8ff62c \
 		rmd160 f0cbfdfabc5c3037508e3b52e938c3d62bc8c14b
 
-depends_lib	port:exo port:vte port:dbus port:gtk2 \
+depends_lib	port:exo port:vte path:bin/dbus-daemon:dbus port:gtk2 \
 		path:include/glib-2.0/gio/gio.h:glib2 port:hicolor-icon-theme
 
 configure.args  --enable-dbus
Index: devel/dbus-glib/Portfile
===================================================================
--- devel/dbus-glib/Portfile	(revision 80648)
+++ devel/dbus-glib/Portfile	(working copy)
@@ -27,7 +27,7 @@
 depends_lib     port:expat \
                 port:libiconv \
                 path:lib/pkgconfig/glib-2.0.pc:glib2 \
-                port:dbus \
+                path:bin/dbus-daemon:dbus \
                 port:gettext
 
 configure.args  --disable-doxygen-docs
Index: devel/strigi/Portfile
===================================================================
--- devel/strigi/Portfile	(revision 80648)
+++ devel/strigi/Portfile	(working copy)
@@ -22,7 +22,7 @@
 
 depends_lib     port:bzip2 \
                 port:clucene \
-                port:dbus \
+                path:bin/dbus-daemon:dbus \
                 port:libxml2 \
                 port:zlib
 
Index: devel/dbus-python24/Portfile
===================================================================
--- devel/dbus-python24/Portfile	(revision 80648)
+++ devel/dbus-python24/Portfile	(working copy)
@@ -16,7 +16,7 @@
 distname	dbus-python-${version}
 
 depends_lib	\
-	port:dbus \
+	path:bin/dbus-daemon:dbus \
 	port:dbus-glib \
 	port:gettext \
 	path:lib/pkgconfig/glib-2.0.pc:glib2 \
Index: devel/dbus-python25/Portfile
===================================================================
--- devel/dbus-python25/Portfile	(revision 80648)
+++ devel/dbus-python25/Portfile	(working copy)
@@ -23,7 +23,7 @@
 
 depends_build   port:pkgconfig
 
-depends_lib     port:dbus \
+depends_lib     path:bin/dbus-daemon:dbus \
                 port:dbus-glib \
                 port:gettext \
                 path:lib/pkgconfig/glib-2.0.pc:glib2 \
Index: devel/dbus-python26/Portfile
===================================================================
--- devel/dbus-python26/Portfile	(revision 80648)
+++ devel/dbus-python26/Portfile	(working copy)
@@ -23,7 +23,7 @@
 
 depends_build   port:pkgconfig
 
-depends_lib     port:dbus \
+depends_lib     path:bin/dbus-daemon:dbus \
                 port:dbus-glib \
                 port:gettext \
                 path:lib/pkgconfig/glib-2.0.pc:glib2 \
Index: devel/dbus-python27/Portfile
===================================================================
--- devel/dbus-python27/Portfile	(revision 80648)
+++ devel/dbus-python27/Portfile	(working copy)
@@ -23,7 +23,7 @@
 
 depends_build   port:pkgconfig
 
-depends_lib     port:dbus \
+depends_lib     path:bin/dbus-daemon:dbus \
                 port:dbus-glib \
                 port:gettext \
                 path:lib/pkgconfig/glib-2.0.pc:glib2 \
Index: devel/libgphoto2/Portfile
===================================================================
--- devel/libgphoto2/Portfile	(revision 80648)
+++ devel/libgphoto2/Portfile	(working copy)
@@ -21,7 +21,7 @@
                     rmd160  f4978edecd0869f91d15b0c9805dd856b856f14c
 
 depends_build       port:pkgconfig
-depends_lib         port:dbus \
+depends_lib         path:bin/dbus-daemon:dbus \
                     port:gettext \
                     port:jpeg \
                     port:libexif \
Index: aqua/qt4-mac-devel/Portfile
===================================================================
--- aqua/qt4-mac-devel/Portfile	(revision 80648)
+++ aqua/qt4-mac-devel/Portfile	(working copy)
@@ -33,7 +33,7 @@
 
 depends_build       port:pkgconfig
 
-depends_lib         port:zlib port:dbus port:openssl port:sqlite3 \
+depends_lib         port:zlib path:bin/dbus-daemon:dbus port:openssl port:sqlite3 \
                     port:tiff port:libpng port:libmng port:jpeg \
                     port:${select_port}
 
Index: aqua/qt4-mac/Portfile
===================================================================
--- aqua/qt4-mac/Portfile	(revision 80648)
+++ aqua/qt4-mac/Portfile	(working copy)
@@ -27,7 +27,7 @@
                     sha1    765eb70d9779f93fefddddda5e6ddb33f4c0b71e \
                     rmd160  ab9c11c85898430fa74e5e07894f8da5e5936645
 
-depends_lib-append  port:zlib port:dbus port:openssl port:sqlite3 \
+depends_lib-append  port:zlib path:bin/dbus-daemon:dbus port:openssl port:sqlite3 \
                     port:tiff port:libpng port:libmng port:jpeg
 
 # (0) Fix the testing script to properly handle both +universal as
Index: gnome/gal/Portfile
===================================================================
--- gnome/gal/Portfile	(revision 80648)
+++ gnome/gal/Portfile	(working copy)
@@ -24,7 +24,7 @@
 		rmd160  caa7322c430059832829107027faa6fe7cee6e94
 
 depends_lib	lib:libgnomeprintui:libgnomeprintui \
-	port:dbus \
+	path:bin/dbus-daemon:dbus \
 	port:dbus-glib
 
 use_bzip2 	yes
Index: gnome/goffice03/Portfile
===================================================================
--- gnome/goffice03/Portfile	(revision 80648)
+++ gnome/goffice03/Portfile	(working copy)
@@ -23,7 +23,7 @@
 depends_lib	port:pcre \
 		port:libgsf \
 		port:libgnomeprintui \
-		port:dbus \
+		path:bin/dbus-daemon:dbus \
 		port:dbus-glib
 
 patchfiles	patch-gtk_disable_deprecated.in \
Index: gnome/gnopernicus/Portfile
===================================================================
--- gnome/gnopernicus/Portfile	(revision 80648)
+++ gnome/gnopernicus/Portfile	(working copy)
@@ -26,7 +26,7 @@
 		port:libgnome \
 		port:libgnomeui \
 		port:gnome-speech \
-		port:dbus \
+		path:bin/dbus-daemon:dbus \
 		port:dbus-glib
 configure.cppflags-append "-L${prefix}/lib"
 configure.cflags-append -flat_namespace -undefined suppress
Index: editors/emacs-snapshot/Portfile
===================================================================
--- editors/emacs-snapshot/Portfile	(revision 80648)
+++ editors/emacs-snapshot/Portfile	(working copy)
@@ -48,7 +48,7 @@
                 bin:unlzma:lzmautils 
 
 depends_lib     port:ncurses \
-                port:dbus \
+                path:bin/dbus-daemon:dbus \
                 port:texinfo
 post-destroot {
     xinstall -d ${destroot}${prefix}/share/emacs/${version}/leim
Index: editors/emacs/Portfile
===================================================================
--- editors/emacs/Portfile	(revision 80648)
+++ editors/emacs/Portfile	(working copy)
@@ -41,7 +41,7 @@
 
 depends_build   port:pkgconfig
 depends_lib     port:ncurses \
-                port:dbus \
+                path:bin/dbus-daemon:dbus \
                 port:texinfo
 
 post-destroot {
Index: x11/qt4-x11/Portfile
===================================================================
--- x11/qt4-x11/Portfile	(revision 80648)
+++ x11/qt4-x11/Portfile	(working copy)
@@ -42,7 +42,7 @@
     port:jpeg                              \
     port:libiconv                          \
     path:lib/pkgconfig/glib-2.0.pc:glib2   \
-    port:dbus                              \
+    path:bin/dbus-daemon:dbus              \
     port:unixODBC                          \
     path:bin/mysql_config5:mysql5          \
     port:postgresql83                      \
Index: x11/awesome/Portfile
===================================================================
--- x11/awesome/Portfile	(revision 80648)
+++ x11/awesome/Portfile	(working copy)
@@ -32,7 +32,7 @@
 	port:cmake
 
 depends_lib \
-	port:dbus \
+	path:bin/dbus-daemon:dbus \
 	port:lua \
 	path:lib/pkgconfig/glib-2.0.pc:glib2 \
 	path:lib/pkgconfig/pango.pc:pango \