--- src/data/kilestdtools.rc.orig	2010-12-27 12:14:27.000000000 +0100
+++ src/data/kilestdtools.rc	2011-02-25 21:31:05.000000000 +0100
@@ -32,7 +32,7 @@
 
 [Tool/BibTeX/Default]
 class=Compile
-command=bibtex
+command=@PREFIX@/bin/bibtex
 options='%S'
 from=aux
 to=bbl
@@ -40,7 +40,7 @@
 
 [Tool/BibTeX/8bit Version]
 class=Compile
-command=bibtex8
+command=@PREFIX@/bin/bibtex8
 options='%S'
 from=aux
 to=bbl
@@ -48,7 +48,7 @@
 
 [Tool/Convert/eps2png]
 class=Convert
-command=convert
+command=@PREFIX@/bin/convert
 options=+adjoin -antialias -trim -transparent white -density %res '%S.eps' '%S.png'
 from=eps
 to=png
@@ -56,7 +56,7 @@
 
 [Tool/Convert/pdf2png]
 class=Convert
-command=convert
+command=@PREFIX@/bin/convert
 options=+adjoin -antialias -trim -transparent white -density %res '%S.pdf' '%S.png'
 from=pdf
 to=png
@@ -96,7 +96,7 @@
 
 [Tool/DVItoPDF/Default]
 class=Convert
-command=dvipdfmx
+command=@PREFIX@/bin/dvipdfmx
 options='%S.dvi'
 from=dvi
 to=pdf
@@ -104,7 +104,7 @@
 
 [Tool/DVItoPDF/Black and White]
 class=Convert
-command=dvipdfmx
+command=@PREFIX@/bin/dvipdfmx
 options=-c '%S.dvi'
 from=dvi
 to=pdf
@@ -112,7 +112,7 @@
 
 [Tool/DVItoPDF/Landscape]
 class=Convert
-command=dvipdfmx
+command=@PREFIX@/bin/dvipdfmx
 options=-l '%S.dvi'
 from=dvi
 to=pdf
@@ -120,7 +120,7 @@
 
 [Tool/DVItoPNG/Default]
 class=Convert
-command=dvipng
+command=@PREFIX@/bin/dvipng
 options=-T tight -D %res -o '%S.png' '%S.dvi'
 from=dvi
 to=png
@@ -128,7 +128,7 @@
 
 [Tool/DVItoPS/Default]
 class=Convert
-command=dvips
+command=@PREFIX@/bin/dvips
 options=-o '%S.ps' '%S.dvi'
 from=dvi
 to=ps
@@ -136,7 +136,7 @@
 
 [Tool/DVItoPS/dvi2eps]
 class=Convert
-command=dvips
+command=@PREFIX@/bin/dvips
 options=-o '%S.eps' '%S.dvi'
 from=dvi
 to=eps
@@ -144,7 +144,7 @@
 
 [Tool/LaTeX/Default]
 class=LaTeX
-command=latex
+command=@PREFIX@/bin/latex
 options=-interaction=nonstopmode '%source'
 from=
 to=dvi
@@ -155,7 +155,7 @@
 
 [Tool/LaTeX/Draft]
 class=LaTeX
-command=latex
+command=@PREFIX@/bin/latex
 options=-draftmode -interaction=nonstopmode '%source'
 from=
 to=dvi
@@ -166,7 +166,7 @@
 
 [Tool/LaTeX/Modern]
 class=LaTeX
-command=latex
+command=@PREFIX@/bin/latex
 options=-src-specials -interaction=nonstopmode '%source'
 from=
 to=dvi
@@ -209,7 +209,7 @@
 
 [Tool/MakeIndex/Default]
 class=Compile
-command=makeindex
+command=@PREFIX@/bin/makeindex
 options='%S.idx'
 from=idx
 to=idx
@@ -217,7 +217,7 @@
 
 [Tool/MakeIndex/xindy]
 class=Compile
-command=xindy
+command=@PREFIX@/bin/xindy
 options='%S.idx'
 from=idx
 to=idx
@@ -225,7 +225,7 @@
 
 [Tool/MetaPost/Default]
 class=Compile
-command=mpost
+command=@PREFIX@/bin/mpost
 options=-tex=latex -interaction=nonstopmode '%source'
 from=
 to=
@@ -241,7 +241,7 @@
 
 [Tool/PDFLaTeX/Default]
 class=LaTeX
-command=pdflatex
+command=@PREFIX@/bin/pdflatex
 options=-interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -252,7 +252,7 @@
 
 [Tool/PDFLaTeX/Draft]
 class=LaTeX
-command=pdflatex
+command=@PREFIX@/bin/pdflatex
 options=-draftmode -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -263,7 +263,7 @@
 
 [Tool/PDFLaTeX/Modern]
 class=LaTeX
-command=pdflatex
+command=@PREFIX@/bin/pdflatex
 options=-synctex=1 -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -274,7 +274,7 @@
 
 [Tool/ConTeXt/PDF]
 class=Compile
-command=texexec
+command=@PREFIX@/bin/texexec
 options=--pdf --nonstopmode '%source'
 from=
 to=pdf
@@ -282,7 +282,7 @@
 
 [Tool/ConTeXt/PDF Draft]
 class=Compile
-command=texexec
+command=@PREFIX@/bin/texexec
 options=--pdf --draft --nonstopmode '%source'
 from=
 to=pdf
@@ -290,7 +290,7 @@
 
 [Tool/ConTeXt/DVI and PS]
 class=Compile
-command=texexec
+command=@PREFIX@/bin/texexec
 options=--dvi --nonstopmode '%source'
 from=
 to=dvi
@@ -298,7 +298,7 @@
 
 [Tool/ConTeXt/DVI and PS Draft]
 class=Compile
-command=texexec
+command=@PREFIX@/bin/texexec
 options=--dvi --draft --nonstopmode '%source'
 from=
 to=dvi
@@ -306,7 +306,7 @@
 
 [Tool/XeLaTeX/PDF]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -317,7 +317,7 @@
 
 [Tool/XeLaTeX/XDVI]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-no-pdf -interaction=nonstopmode '%source'
 from=
 to=xdvi
@@ -328,7 +328,7 @@
 
 [Tool/XeLaTeX/PDF Draft]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-draftmode -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -339,7 +339,7 @@
 
 [Tool/XeLaTeX/XDVI Draft]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-no-pdf -draftmode -interaction=nonstopmode '%source'
 from=
 to=xdvi
@@ -350,7 +350,7 @@
 
 [Tool/XeLaTeX/PDF Modern]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-synctex=1 -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -361,7 +361,7 @@
 
 [Tool/XeLaTeX/XDVI Modern]
 class=LaTeX
-command=xelatex
+command=@PREFIX@/bin/xelatex
 options=-no-pdf -src-specials -interaction=nonstopmode '%source'
 from=
 to=xdvi
@@ -374,7 +374,7 @@
 autoRun=no
 checkForRoot=no
 class=LaTeXpreview
-command=latex
+command=@PREFIX@/bin/latex
 from=
 jumpToFirstError=yes
 options=-interaction=nonstopmode '%source'
@@ -385,7 +385,7 @@
 autoRun=no
 checkForRoot=no
 class=LaTeXpreview
-command=pdflatex
+command=@PREFIX@/bin/pdflatex
 from=
 jumpToFirstError=yes
 options=-interaction=nonstopmode '%source'
@@ -396,7 +396,7 @@
 autoRun=no
 checkForRoot=no
 class=LaTeXpreview
-command=xelatex
+command=@PREFIX@/bin/xelatex
 from=
 jumpToFirstError=yes
 options=-interaction=nonstopmode '%source'
@@ -405,7 +405,7 @@
 
 [Tool/PStoPDF/Default]
 class=Convert
-command=ps2pdf
+command=@PREFIX@/bin/ps2pdf
 options='%S.ps' '%S.pdf'
 from=ps
 to=pdf
@@ -453,7 +453,7 @@
 
 [Tool/TeX/Default]
 class=Compile
-command=tex
+command=@PREFIX@/bin/tex
 options=-interaction=nonstopmode '%source'
 from=
 to=dvi
@@ -461,7 +461,7 @@
 
 [Tool/TeX/Modern]
 class=Compile
-command=tex
+command=@PREFIX@/bin/tex
 options=-src-specials -interaction=nonstopmode '%source'
 from=
 to=dvi
@@ -469,7 +469,7 @@
 
 [Tool/PDFTeX/Default]
 class=Compile
-command=pdftex
+command=@PREFIX@/bin/pdftex
 options=-interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -477,7 +477,7 @@
 
 [Tool/PDFTeX/Draft]
 class=Compile
-command=pdftex
+command=@PREFIX@/bin/pdftex
 options=-draftmode -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -485,7 +485,7 @@
 
 [Tool/PDFTeX/Modern]
 class=Compile
-command=pdftex
+command=@PREFIX@/bin/pdftex
 options=-synctex=1 -interaction=nonstopmode '%source'
 from=
 to=pdf
@@ -555,7 +555,7 @@
 class=ViewHTML
 state=Editor
 relDir=
-command=konqueror
+command=@APPLICATIONS_DIR@/KDE4/konqueror.app/Contents/MacOS/konqueror
 options='file:%dir_target/%target'
 target=
 from=html
@@ -607,7 +608,7 @@
 [Tool/ForwardDVI/Okular]
 class=ForwardDVI
 type=Process
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options=--unique '%target'
 from=dvi
 to=dvi
@@ -615,7 +616,7 @@
 [Tool/ForwardPDF/Okular]
 class=ForwardDVI
 type=Process
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options=--unique '%absolute_target'
 from=pdf
 to=pdf
@@ -641,7 +642,7 @@
 
 [Tool/ViewDVI/Okular]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options='%target'
 from=dvi
 to=dvi
@@ -659,7 +660,7 @@
 
 [Tool/ViewDVI/Okular Unique]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options=--unique '%target'
 from=dvi
 to=dvi
@@ -677,7 +678,7 @@
 
 [Tool/ViewPS/Okular]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options='%target'
 from=ps
 to=ps
@@ -695,7 +696,7 @@
 
 [Tool/ViewPS/Okular Unique]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options=--unique '%target'
 from=ps
 to=ps
@@ -713,7 +714,7 @@
 
 [Tool/ViewPDF/Okular]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options='%target'
 from=pdf
 to=pdf
@@ -731,7 +732,7 @@
 
 [Tool/ViewPDF/Okular Unique]
 class=View
-command=okular
+command=@APPLICATIONS_DIR@/KDE4/okular.app/Contents/MacOS/okular
 options=--unique '%target'
 from=pdf
 to=pdf