--- setup.py.orig	2010-09-01 11:36:01.000000000 -0400
+++ setup.py	2010-09-01 11:46:45.000000000 -0400
@@ -157,15 +157,6 @@
 copy_file('src/__init__.py', PKGDIR, update=1, verbose=0)
 CLEANUP.append(opj(PKGDIR, '__init__.py'))
 
-
-# update the license files
-mkpath('licence')
-for file in ['preamble.txt', 'licence.txt', 'licendoc.txt', 'lgpl.txt']:
-    copy_file(opj(WXDIR, 'docs', file), opj('licence',file), update=1, verbose=0)
-    CLEANUP.append(opj('licence',file))
-CLEANUP.append('licence')
-
-
 if sys.platform in ['win32', 'darwin']:
     build_locale_dir(opj(PKGDIR, 'locale'))
     DATA_FILES += build_locale_list(opj(PKGDIR, 'locale'))
@@ -535,13 +526,13 @@
 
 swig_sources = run_swig(['aui.i'], 'src', GENDIR, PKGDIR,
                         USE_SWIG, swig_force,
-                        swig_args + ['-I'+opj(WXDIR, 'include/wx/aui')],
+                        swig_args + ['-I'+opj(WXDIR, 'include/wx-devel/wx-2.9/wx/aui')],
                         swig_deps + ['src/_aui_docstrings.i',
-                                     opj(WXDIR, 'include/wx/aui/framemanager.h'),
-                                     opj(WXDIR, 'include/wx/aui/floatpane.h'),
-                                     opj(WXDIR, 'include/wx/aui/dockart.h'),
-                                     opj(WXDIR, 'include/wx/aui/auibook.h'),
-                                     opj(WXDIR, 'include/wx/aui/tabmdi.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/aui/framemanager.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/aui/floatpane.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/aui/dockart.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/aui/auibook.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/aui/tabmdi.h'),
                                      ])
 if not MONOLITHIC and findLib('aui', libdirs):
     auiLib = makeLibName('aui')
@@ -579,17 +570,17 @@
 
 swig_sources = run_swig(['propgrid.i'], 'src', GENDIR, PKGDIR,
                         USE_SWIG, swig_force,
-                        swig_args + ['-I'+opj(WXDIR, 'include/wx/propgrid')],
+                        swig_args + ['-I'+opj(WXDIR, 'include/wx-devel/wx-2.9/wx/propgrid')],
                         swig_deps + [#'src/_propgrid_docstrings.i',
-                                     opj(WXDIR, 'include/wx/propgrid/advprops.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/editors.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/manager.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/property.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/propgrid.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/propgriddefs.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/propgridiface.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/propgridpagestate.h'),
-                                     opj(WXDIR, 'include/wx/propgrid/props.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/advprops.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/editors.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/manager.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/property.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/propgrid.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/propgriddefs.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/propgridiface.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/propgridpagestate.h'),
+                                     opj(WXDIR, 'include/wx-2.9/wx/propgrid/props.h'),
                                      ])
 if not MONOLITHIC and findLib('propgrid', libdirs):
     propgridLib = makeLibName('propgrid')
@@ -609,7 +600,7 @@
 
 if BUILD_STC:
     msg('Preparing STC...')
-    STC_H = opj(WXDIR, 'include/wx/stc')
+    STC_H = opj(WXDIR, 'include/wx-2.9/wx/stc')
 
     swig_sources = run_swig(['stc.i'], 'src', GENDIR, PKGDIR,
                             USE_SWIG, swig_force, swig_args + ['-I'+STC_H],