diff -r -u ipe_orig/Portfile ipe/Portfile
--- ipe_orig/Portfile	2011-10-21 18:14:45.000000000 +0200
+++ ipe/Portfile	2011-10-22 12:04:10.000000000 +0200
@@ -1,10 +1,10 @@
-# $Id: Portfile 81638 2011-08-03 08:02:29Z ryandesign@macports.org $
+# $Id$
 
 PortSystem 1.0
 PortGroup               qt4 1.0
 
 name                    ipe
-version                 7.0.14
+version                 7.1.1
 revision                1
 categories              graphics
 maintainers             jacobs-university.de:m.thon
@@ -21,17 +21,17 @@
 distname                ${name}-${version}-src
 worksrcdir              ${name}-${version}/src
 
-checksums               sha1    a9b744120019248a405caab63e88664258242151 \
-                        rmd160  4f819bd7740e875170e66c4fa4431aad6cb4c835
+checksums               md5     0b15be5a0c12274c36e2805c0da94e27 \
+                        sha1    a4e85a50c0488721d68eb10bf3f8c5b3c99d4689 \
+                        rmd160  0dc1cd8204084751f979b941acb3769b9ea52fa5
 
 depends_lib-append      port:freetype \
                         path:lib/pkgconfig/cairo.pc:cairo \
                         port:lua \
                         port:zlib
 
-patchfiles              patch-common.mak.diff \
-                        patch-config.mak.diff \
-                        patch-ipe-lua-prefs.lua.diff
+patchfiles              patch-ipe-src-7.1.1.diff
+
 use_configure           no
 
 build.env               CXXFLAGS="${configure.cxx_archflags}" \
@@ -39,7 +39,14 @@
 
 build.args              IPEPREFIX=${prefix} \
                         MOC=${qt_moc_cmd} \
-                        CXX=${configure.cxx}
+                        CXX=${configure.cxx} \
+                        FREETYPE_CFLAGS="[exec pkg-config --cflags freetype2]" \
+                        CAIRO_CFLAGS="[exec pkg-config --cflags cairo]" \
+                        CAIRO_LIBS="[exec pkg-config --libs cairo]" \
+                        LUA_CFLAGS="[exec pkg-config --cflags lua]" \
+                        LUA_LIBS="[exec pkg-config --libs lua]" \
+                        QT_CFLAGS="[exec pkg-config --cflags QtGui QtCore]" \
+                        QT_LIBS="[exec pkg-config --libs QtGui QtCore]"
 
 destroot.args-append    IPEPREFIX=${prefix}
 use_parallel_build      no
diff -r -u ipe_orig/files/Info.plist.in ipe/files/Info.plist.in
--- ipe_orig/files/Info.plist.in	2011-10-21 18:14:45.000000000 +0200
+++ ipe/files/Info.plist.in	2011-10-22 12:45:00.000000000 +0200
@@ -2,6 +2,58 @@
 <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
+	<key>CFBundleDocumentTypes</key>
+	<array>
+		<dict>
+			<key>CFBundleTypeName</key>
+			<string>Ipe figure</string>
+			<key>CFBundleTypeIconFile</key>
+			<string>ipe.icns</string>
+			<key>LSHandlerRank</key>
+			<string>Owner</string>
+			<key>CFBundleTypeRole</key>
+			<string>Editor</string>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>ipe</string>
+				<string>IPE</string>
+			</array>
+		</dict>
+		<dict>
+			<key>CFBundleTypeName</key>
+			<string>Postscript document</string>
+			<key>CFBundleTypeIconFile</key>
+			<string>ipe.icns</string>
+			<key>LSHandlerRank</key>
+			<string>Alternate</string>
+			<key>CFBundleTypeRole</key>
+			<string>Editor</string>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>eps</string>
+				<string>EPS</string>
+			</array>
+		</dict>
+		<dict>
+			<key>CFBundleTypeName</key>
+			<string>PDF document</string>
+			<key>CFBundleTypeIconFile</key>
+			<string>ipe.icns</string>
+			<key>LSHandlerRank</key>
+			<string>Alternate</string>
+			<key>CFBundleTypeRole</key>
+			<string>Editor</string>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>pdf</string>
+				<string>PDF</string>
+			</array>
+			<key>CFBundleTypeMIMETypes</key>
+			<array>
+				<string>application/pdf</string>
+			</array>
+		</dict>
+	</array>
 	<key>CFBundleDevelopmentRegion</key>
 	<string>English</string>
 	<key>CFBundleExecutable</key>
@@ -19,8 +71,10 @@
 	<key>CFBundleShortVersionString</key>
 	<string>@VERSION@</string>
 	<key>CFBundleSignature</key>
-	<string>????</string>
+	<string>Ipe7</string>
 	<key>CFBundleVersion</key>
 	<string>@VERSION@</string>
+	<key>NSHumanReadableCopyright</key>
+	<string>Copyright (C) 1993-2011  Otfried Cheong</string>
 </dict>
 </plist>
diff -r -u ipe_orig/files/ipe.in ipe/files/ipe.in
--- ipe_orig/files/ipe.in	2011-10-21 18:14:45.000000000 +0200
+++ ipe/files/ipe.in	2011-10-22 12:00:03.000000000 +0200
@@ -1,3 +1,6 @@
 #!/bin/sh
-
-PATH="@PREFIX@/bin:$PATH" "@PREFIX@/bin/ipe"
+PATH="@PREFIX@/bin:${PATH}"
+if [[ -d /usr/texbin ]]; then
+  PATH="/usr/texbin:${PATH}"
+fi
+"@PREFIX@/bin/ipe"
Only in ipe_orig/files: patch-common.mak.diff
Only in ipe_orig/files: patch-config.mak.diff
Only in ipe_orig/files: patch-ipe-lua-prefs.lua.diff
Only in ipe/files: patch-ipe-src-7.1.1.diff