Index: www/redland/files/patch-configure.diff
===================================================================
--- www/redland/files/patch-configure.diff	(revision 83199)
+++ www/redland/files/patch-configure.diff	(working copy)
@@ -1,7 +1,6 @@
-diff -ru a/configure b/configure
---- a/configure	2011-07-20 08:09:48.000000000 -0700
-+++ b/configure	2011-07-20 08:12:04.000000000 -0700
-@@ -12789,6 +12789,8 @@
+--- a/configure	2011-07-31 14:59:53.000000000 -0700
++++ b/configure	2011-07-31 15:00:21.000000000 -0700
+@@ -13661,6 +13661,8 @@
         done
       done
  
@@ -9,16 +8,4 @@
 +    bdb_version=`sed -ne 's/^.*DB_VERSION_STRING.*Berkeley DB \(...\).*/\1/p' $bdb_include_dir/db.h`
    fi
  
-   { $as_echo "$as_me:${as_lineno-$LINENO}: checking BDB version" >&5
-diff -ru a/configure.ac b/configure.ac
---- a/configure.ac	2011-07-20 08:09:48.000000000 -0700
-+++ b/configure.ac	2011-07-20 08:11:41.000000000 -0700
-@@ -283,6 +283,8 @@
-        done
-      done
- 
-+  else
-+    bdb_version=`sed -ne 's/^.*DB_VERSION_STRING.*Berkeley DB \(...\).*/\1/p' $bdb_include_dir/db.h`
-   fi
- 
-   AC_MSG_CHECKING(BDB version)
+   { $as_echo "$as_me:${as_lineno-$LINENO}: checking Oracle Berkeley DB (BDB) version" >&5
Index: www/redland/files/patch-redland-raptor2-headers.diff
===================================================================
--- www/redland/files/patch-redland-raptor2-headers.diff	(revision 83199)
+++ www/redland/files/patch-redland-raptor2-headers.diff	(working copy)
@@ -1,84 +0,0 @@
-diff -ur a/src/librdf.h b/src/librdf.h
---- a/src/librdf.h	2011-07-19 16:54:49.000000000 -0700
-+++ b/src/librdf.h	2011-07-19 18:06:34.000000000 -0700
-@@ -28,7 +28,7 @@
- 
- #ifndef LIBRDF_OBJC_FRAMEWORK
- /* raptor */
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- /* rasqal: uses raptor */
- #include <rasqal.h>
- /* librdf: uses rasqal and raptor */
-diff -ur a/src/librdf.h.in b/src/librdf.h.in
---- a/src/librdf.h.in	2011-07-19 16:54:49.000000000 -0700
-+++ b/src/librdf.h.in	2011-07-19 18:06:34.000000000 -0700
-@@ -28,7 +28,7 @@
- 
- #ifndef LIBRDF_OBJC_FRAMEWORK
- /* raptor */
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- /* rasqal: uses raptor */
- #include <rasqal.h>
- /* librdf: uses rasqal and raptor */
-diff -ur a/src/rdf_log.h b/src/rdf_log.h
---- a/src/rdf_log.h	2011-07-19 16:54:49.000000000 -0700
-+++ b/src/rdf_log.h	2011-07-19 18:06:34.000000000 -0700
-@@ -30,7 +30,7 @@
- extern "C" {
- #endif
- 
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- 
- /**
-  * librdf_log_level:
-diff -ur a/src/rdf_serializer.h b/src/rdf_serializer.h
---- a/src/rdf_serializer.h	2011-07-19 16:54:49.000000000 -0700
-+++ b/src/rdf_serializer.h	2011-07-19 18:06:34.000000000 -0700
-@@ -36,7 +36,7 @@
- extern "C" {
- #endif
- 
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- 
- /* class methods */
- REDLAND_API
-diff -ur a/src/rdf_serializer_internal.h b/src/rdf_serializer_internal.h
---- a/src/rdf_serializer_internal.h	2011-07-19 16:54:49.000000000 -0700
-+++ b/src/rdf_serializer_internal.h	2011-07-19 18:06:34.000000000 -0700
-@@ -32,7 +32,7 @@
- extern "C" {
- #endif
- 
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- 
- struct librdf_serializer_factory_s 
- {
-diff -ur a/utils/rdfproc.c b/utils/rdfproc.c
---- a/utils/rdfproc.c	2011-07-19 16:54:49.000000000 -0700
-+++ b/utils/rdfproc.c	2011-07-19 18:06:34.000000000 -0700
-@@ -46,7 +46,7 @@
- #include <unistd.h>
- 
- #include <redland.h>
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- 
- #ifdef NEED_OPTIND_DECLARATION
- extern int optind;
-diff -ur a/utils/redland-virtuoso-test.c b/utils/redland-virtuoso-test.c
---- a/utils/redland-virtuoso-test.c	2011-07-19 16:54:49.000000000 -0700
-+++ b/utils/redland-virtuoso-test.c	2011-07-19 18:06:32.000000000 -0700
-@@ -76,7 +76,7 @@
- #include <unistd.h>
- 
- #include <redland.h>
--#include <raptor.h>
-+#include <raptor2/raptor2.h>
- 
- 
- int add_triple(librdf_world *world, librdf_node *context, librdf_model* model, const char *s, const char *p, const char *o);
Index: www/redland/Portfile
===================================================================
--- www/redland/Portfile	(revision 83199)
+++ www/redland/Portfile	(working copy)
@@ -1,3 +1,4 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; truncate-lines: t; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
@@ -2,4 +3,4 @@
 name                redland
-version             1.0.13
-revision            1
+version             1.0.14
+revision            2
 description         Redland RDF Library
@@ -13,12 +14,10 @@
 homepage            http://librdf.org/
 master_sites        http://download.librdf.org/source/
 
-checksums           sha1    f1b0db76eb02946a1f794b35db726ddfdc936ad6 \
-                    rmd160  1ebc4a9eb73e022691a34677c5eaf5f17da56d32
+checksums           sha1    2561bf73f00f88e39f5c7b3a9b78f8d4ce7da955 \
+                    rmd160  1c58f81106682da3174c05e66a0c77567587be35
 
-patchfiles          patch-configure.diff \
-                    patch-redland-raptor2-headers.diff
-
+patchfiles          patch-configure.diff
 patch.pre_args      -p1
 
 depends_lib         port:curl \