Index: files/lion.patch
===================================================================
--- files/lion.patch	(revision 83938)
+++ files/lion.patch	(working copy)
@@ -1,20 +0,0 @@
---- util/processinfo_darwin.cpp.orig
-+++ util/processinfo_darwin.cpp
-@@ -19,7 +19,7 @@
- #include "processinfo.h"
- #include "log.h"
- 
--
-+#include <mach/vm_statistics.h>
- #include <mach/task_info.h>
- 
- #include <mach/mach_init.h>
-@@ -27,7 +27,7 @@
- #include <mach/mach_traps.h>
- #include <mach/task.h>
- #include <mach/vm_map.h>
--#include <mach/shared_memory_server.h>
-+#include <mach/shared_region.h>
- #include <iostream>
- 
- #include <sys/types.h>
Index: files/patch-distsrc-client-SConstruct.diff
===================================================================
--- files/patch-distsrc-client-SConstruct.diff	(revision 0)
+++ files/patch-distsrc-client-SConstruct.diff	(revision 0)
@@ -0,0 +1,11 @@
+--- distsrc/client/SConstruct.orig	2011-09-11 09:09:34.000000000 -0500
++++ distsrc/client/SConstruct	2011-09-13 03:50:05.000000000 -0500
+@@ -39,7 +39,7 @@
+ linux = False
+ 
+ if "darwin" == os.sys.platform:
+-    addExtraLibs( "/opt/local/" )
++    addExtraLibs( "@@PREFIX@@/" )
+     nix = True
+ elif "linux2" == os.sys.platform or "linux3" == os.sys.platform:
+     nix = True
Index: files/patch-SConstruct.diff
===================================================================
--- files/patch-SConstruct.diff	(revision 83938)
+++ files/patch-SConstruct.diff	(working copy)
@@ -1,6 +1,6 @@
---- SConstruct.orig	2011-03-16 10:33:30.000000000 -0500
-+++ SConstruct	2011-03-27 03:30:06.000000000 -0500
-@@ -447,21 +447,14 @@
+--- SConstruct.orig	2011-09-11 09:09:34.000000000 -0500
++++ SConstruct	2011-09-13 03:46:23.000000000 -0500
+@@ -473,21 +473,14 @@
      darwin = True
      platform = "osx" # prettier than darwin
  
@@ -20,33 +20,11 @@
 -        env.Append( CPPPATH=filterExists(["/sw/include" , "/opt/local/include"]) )
 -        env.Append( LIBPATH=filterExists(["/sw/lib/", "/opt/local/lib"]) )
 +    env.Append( CPPPATH=["@@PREFIX@@/include"] )
-+    env.Append( LIBPATH=["@@PREFIX@@/lib/"] )
++    env.Append( LIBPATH=["@@PREFIX@@/lib"] )
 +    env["CFLAGS"] = os.getenv("CFLAGS")
 +    env["CXXFLAGS"] = os.getenv("CXXFLAGS")
 +    env["LINKFLAGS"] = os.getenv("LINKFLAGS")
 +
  
- elif "linux2" == os.sys.platform:
+ elif "linux2" == os.sys.platform or "linux3" == os.sys.platform:
      linux = True
-@@ -931,11 +924,7 @@
-         haveReadLine = False
-         if darwin:
-             myenv.Append( CPPDEFINES=[ "USE_READLINE" ] )
--            if force64:
--                myCheckLib( "readline" , True )
--                myCheckLib( "ncurses" , True )
--            else:
--                myenv.Append( LINKFLAGS=" /usr/lib/libreadline.dylib " )
-+            myenv.Append( LINKFLAGS=" @@PREFIX@@/lib/libreadline.dylib " )
-         elif openbsd:
-             myenv.Append( CPPDEFINES=[ "USE_READLINE" ] )
-             myCheckLib( "termcap" , True )
-@@ -1176,8 +1165,6 @@
-         shellEnv["LINKFLAGS"].remove("-m64")
-         shellEnv["CPPPATH"].remove( "/usr/64/include" )
-         shellEnv["LIBPATH"].remove( "/usr/64/lib" )
--        shellEnv.Append( CPPPATH=filterExists(["/sw/include" , "/opt/local/include"]) )
--        shellEnv.Append( LIBPATH=filterExists(["/sw/lib/", "/opt/local/lib" , "/usr/lib", "/usr/local/lib" ]) )
- 
-     l = shellEnv["LIBS"]
- 
Index: Portfile
===================================================================
--- Portfile	(revision 83938)
+++ Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                mongodb
 epoch               1
-version             1.8.3
+version             2.0.0
 license             AGPL-3.0
 categories          databases
 maintainers         nomaintainer
@@ -19,8 +19,8 @@
 master_sites        http://downloads.mongodb.org/src/
 distname            ${name}-src-r${version}
 
-checksums           rmd160  9662b6963e7e6a4b5adcbea3faa36dd50a794457 \
-                    sha256  ee121c9698a48b819f1c5b5ba10a98d565bd732d527743f1475f54f697dd63e2
+checksums           rmd160  cbc2572b479713ab29011c5ed2495fa67e4ec760 \
+                    sha256  27565cb8781f95cf8af2ca1ccc22e86458da30144290ec7dd58d14e7550220b8
 
 depends_build       port:scons
 
@@ -36,10 +36,13 @@
                     lib/libreadline.dylib \
                     lib/libjs.dylib
 
-patchfiles          patch-SConstruct.diff
+patchfiles          patch-SConstruct.diff \
+                    patch-distsrc-client-SConstruct.diff
 
 post-patch {
-    reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/SConstruct
+    reinplace "s|@@PREFIX@@|${prefix}|g" \
+        ${worksrcpath}/SConstruct \
+        ${worksrcpath}/distsrc/client/SConstruct
 }
 
 use_configure       no
@@ -62,9 +65,5 @@
     xinstall -W ${worksrcpath} mongobridge ${destroot}${prefix}/bin
 }
 
-platform darwin 11 {
-    patchfiles-append lion.patch
-}
-
 livecheck.url       ${homepage}downloads
 livecheck.regex     {mongodb-src-r(\d+\.\d*[02468]\.\d+)\.}