--- kde/gwenview/Portfile.orig	2011-09-13 11:59:22.000000000 +0200
+++ kde/gwenview/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -31,5 +31,5 @@
  depends_lib-append port:kipi-plugins
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     gwenview-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kamera/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/kamera/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -25,5 +25,5 @@
     patchfiles      patch-CMakeLists.txt.diff
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kamera-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kate/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/kate/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -24,5 +24,5 @@
 
 depends_lib-append  port:kdelibs4
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kate-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kde-wallpapers/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/kde-wallpapers/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -23,5 +23,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kde-baseapps-(\\d+(\\.\\d+)+)
--- kde/kde4-baseapps/Portfile.orig	2011-09-13 11:59:36.000000000 +0200
+++ kde/kde4-baseapps/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -30,5 +30,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kde-baseapps-(\\d+(\\.\\d+)+)
--- kde/kde4-runtime/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/kde4-runtime/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -60,5 +60,5 @@
     file delete ${destroot}${prefix}/share/icons/hicolor/index.theme
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kde-runtime-(\\d+(\\.\\d+)+)
--- kde/kdegames4/Portfile.orig	2011-09-13 11:59:28.000000000 +0200
+++ kde/kdegames4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -24,5 +24,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdegames-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdegraphics-strigi-analyzer/Portfile.orig	2011-09-13 11:59:36.000000000 +0200
+++ kde/kdegraphics-strigi-analyzer/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -21,5 +21,5 @@
 depends_lib-append  port:kdelibs4 \
                     port:tiff port:strigi
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdegraphics-strigi-analyzer-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdegraphics-thumbnailers/Portfile.orig	2011-09-13 11:59:22.000000000 +0200
+++ kde/kdegraphics-thumbnailers/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -21,5 +21,5 @@
 depends_lib-append  port:kdelibs4 \
                     port:libkexiv2 port:libkdcraw
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdegraphics-thumbnailers-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdemultimedia4/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/kdemultimedia4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -37,5 +37,5 @@
                         -DWITH_Cdparanoia=OFF
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdemultimedia-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdenetwork4/Portfile.orig	2011-09-13 11:59:28.000000000 +0200
+++ kde/kdenetwork4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -47,5 +47,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdenetwork-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdepim4-runtime/Portfile.orig	2011-08-12 13:22:26.000000000 +0200
+++ kde/kdepim4-runtime/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -32,5 +32,5 @@
 
 configure.args-append   ../${distname}
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdepim-runtime-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdepimlibs4/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/kdepimlibs4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -26,5 +26,5 @@
                     port:prison \
                     port:gpgme
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdepimlibs-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdetoys4/Portfile.orig	2011-09-13 11:59:28.000000000 +0200
+++ kde/kdetoys4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -23,5 +23,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdetoys-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kdeutils4/Portfile.orig	2011-09-13 11:59:32.000000000 +0200
+++ kde/kdeutils4/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -50,5 +50,5 @@
 
 universal_variant   no
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kdeutils-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kolourpaint/Portfile.orig	2011-09-13 11:59:36.000000000 +0200
+++ kde/kolourpaint/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -25,5 +25,5 @@
     patchfiles      patch-CMakeLists.txt.diff
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kolourpaint-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/kruler/Portfile.orig	2011-09-13 11:59:36.000000000 +0200
+++ kde/kruler/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -26,5 +26,5 @@
     patchfiles      patch-CMakeLists.txt.diff
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     kruler-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/ksaneplugin/Portfile.orig	2011-09-13 11:59:32.000000000 +0200
+++ kde/ksaneplugin/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -21,5 +21,5 @@
 depends_lib-append  port:kdelibs4 \
                     port:libksane
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     ksaneplugin-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/libkdcraw/Portfile.orig	2011-09-13 11:59:32.000000000 +0200
+++ kde/libkdcraw/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -21,5 +21,5 @@
 
 depends_lib-append  port:jpeg port:lcms
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     libkdcraw-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/libkexiv2/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/libkexiv2/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -22,5 +22,5 @@
 
 depends_lib-append  port:exiv2
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     libkexiv2-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/libkipi/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/libkipi/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -23,5 +23,5 @@
 
 #depends_lib-append  port:exiv2
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     libkipi-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/libksane/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/libksane/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -21,5 +21,5 @@
 
 depends_lib-append  port:sane-backends
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     libksane-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/mobipocket/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/mobipocket/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -22,5 +22,5 @@
                     port:strigi \
                     port:okular
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     mobipocket-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/okular/Portfile.orig	2011-09-13 11:59:26.000000000 +0200
+++ kde/okular/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -36,5 +36,5 @@
     }
 }
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     okular-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
--- kde/svgpart/Portfile.orig	2011-09-13 11:59:27.000000000 +0200
+++ kde/svgpart/Portfile	2011-09-13 12:12:01.000000000 +0200
@@ -20,5 +20,5 @@
 
 depends_lib-append  port:kdelibs4
 
-livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
+livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
 livecheck.regex     svgpart-(\\d+\\.\\d+\\.\\d+)${extract.suffix}