--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/root/Portfile	2011-09-16 08:30:22.000000000 +0200
+++ ./Portfile	2011-09-28 09:20:43.000000000 +0200
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                root
-version             5.30.01
+version             5.30.02
 revision            0
 categories          science
 maintainers         gmail.com:mattiafrancescomoro hep.phy.cam.ac.uk:jonesc
@@ -19,8 +19,8 @@
 master_sites        http://root.cern.ch/download/ \
                     ftp://root.cern.ch/root/
 
-checksums           sha1    d5297bbdcdb1df5a00520b82eda59577b25c53c8 \
-                    rmd160  bc68936ac58dedd3138921d7d6fdab8097b4edb5
+checksums           sha1    0617b9a1dc7e040cb15c7133ad9399cf1b707d93 \
+                    rmd160  7a4f54935c986cf2335bd20ef380c3edb6266bce
 
 worksrcdir          root
 
@@ -95,8 +95,6 @@
                     F77=${configure.f77}
 }
 
-use_parallel_build  no
-
 universal_variant   no
 
 default_variants    +ssl +builtin_ftgl +roofit +xml +opengl
@@ -104,31 +102,32 @@
 variant fftw3 description {Builds port with fftw3 support} {
     configure.args-delete   --disable-fftw3
     configure.args-append   --enable-fftw3 \
-                            --with-fftw3-incdir="${prefix}/include/" \
+                            --with-fftw3-incdir="${prefix}/include" \
                             --with-fftw3-libdir="${prefix}/lib"
     depends_lib-append      port:fftw-3
 }
 
-variant kerberos5 description {Builds port with kerberos5 support} {
-    configure.args-delete   --disable-krb5
-    configure.args-append   --enable-krb5 \
-                            --with-krb5-incdir="${prefix}/include/" \
-                            --with-krb5-libdir="${prefix}/lib"
-    depends_lib-append      port:kerberos5
-}
+# Build issues. Under discussion with ROOT team.
+# variant kerberos5 description {Builds port with kerberos5 support} {
+#     configure.args-delete   --disable-krb5
+#     configure.args-append   --enable-krb5 \
+#                             --with-krb5-incdir="${prefix}/include" \
+#                             --with-krb5-libdir="${prefix}/lib"
+#      depends_lib-append      port:kerberos5
+# }
 
 variant odbc description {Builds port with odbc support} {
     configure.args-delete   --disable-odbc
     configure.args-append   --enable-odbc\
-                            --with-odbc-incdir="${prefix}/include/" \
+                            --with-odbc-incdir="${prefix}/include" \
                             --with-odbc-libdir="${prefix}/lib"
     depends_lib-append      port:unixODBC
 }
 
-variant ldap description {Builds port with lpap support} {
+variant ldap description {Builds port with ldap support} {
     configure.args-delete   --disable-ldap
     configure.args-append   --enable-ldap\
-                            --with-ldap-incdir="${prefix}/include/" \
+                            --with-ldap-incdir="${prefix}/include" \
                             --with-ldap-libdir="${prefix}/lib"
     depends_lib-append      port:openldap
 }
@@ -143,44 +142,47 @@
     configure.args-append   --enable-opengl \
                             --with-opengl-incdir="${prefix}/include" \
                             --with-opengl-libdir="${prefix}/lib" \
-                            --with-glew-incdir="${prefix}/include/" \
+                            --with-glew-incdir="${prefix}/include" \
                             --with-glew-libdir="${prefix}/lib"
     depends_lib-append      port:glew
 }
 
-variant python26 conflicts python27 description {Builds port with python 2.6 support} {
+variant python26 conflicts python31 python27 description {Builds port with python 2.6 support} {
+    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.6
     configure.args-delete   --disable-python
-    configure.args-append   --enable-python \
-                            --with-python-incdir="${prefix}/Library/Frameworks/Python.framework/Versions/2.6/Headers" \
-                            --with-python-libdir="${prefix}/Library/Frameworks/Python.framework/Versions/2.6"
+    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
     depends_lib-append      port:python26
-    
     post-destroot {
-        file mkdir  ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.pyc ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.pyo ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOTwriter.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/python/genreflex ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        move ${destroot}${prefix}/lib/root/writer.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
+        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
+        file mkdir ${mypysitedir}
+        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
+        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
     }
 }
 
-variant python27 conflicts python26 description {Builds port with python 2.7 support} {
+variant python27 conflicts python31 python26 description {Builds port with python 2.7 support} {
+    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.7
     configure.args-delete   --disable-python
-    configure.args-append   --enable-python \
-                            --with-python-incdir="${prefix}/Library/Frameworks/Python.framework/Versions/2.7/Headers" \
-                            --with-python-libdir="${prefix}/Library/Frameworks/Python.framework/Versions/2.7"
+    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
     depends_lib-append      port:python27
-    
     post-destroot {
-        file mkdir  ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.pyc ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOT.pyo ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/ROOTwriter.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/python/genreflex ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
-        move ${destroot}${prefix}/lib/root/writer.py ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
+        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
+        file mkdir ${mypysitedir}
+        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
+        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
+    }
+}
+
+variant python31 conflicts python27 python26 description {Builds port with python 3.1 support} {
+    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/3.1
+    configure.args-delete   --disable-python
+    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
+    depends_lib-append      port:python31
+    post-destroot {
+        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/3.1/lib/python3.1/site-packages/
+        file mkdir ${mypysitedir}
+        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
+        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
     }
 }
 